Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.collections
Interface Map

All Known Subinterfaces:
  ConcurrentSchedule, Schedule

All Known Implementing Classes:
  MapImpl, ScheduleImpl

public interface Map
extends KeyedCollection, KeyedCollectionS, CompareFunction, CompareFunctionS, Serialization, SerializationS

Collection of associations from key objects to member objects.. Map is a subtype of KeyedCollection in which the key value associated with each member is independent of the member itself. Whenever a new member is added to the collection, a key value to be associated with the member must be supplied also. A Map defines a mapping from key values to member values. For the Map type, key values are independent of the member values with which they are associated. Map defines two additional options to document information about its key values. Map also defines its own messages to distinguish the key value from member value in any operation which involves both.

Method Summary
`boolean` | `at$insert(java.lang.Object aKey, java.lang.Object anObject)` at:insert: inserts an entry into a Map containing the key and member values given as its arguments.
`java.lang.Object` | `at$replace(java.lang.Object aKey, java.lang.Object anObject)` Replaces an existing member value associated with a key value by a new value given as its final argument.
`MapIndex` | `mapBegin(Zone aZone)` Returns a MapIndex, the special index for the Map type

Methods inherited from interface swarm.collections.KeyedCollection
`at, containsKey, createIndex$fromMember, removeKey`

Methods inherited from interface swarm.defobj.Serialization
`hdf5OutDeep, hdf5OutShallow, lispOutDeep, lispOutShallow, lispOutVars$deep, lispSaveStream$Boolean$Value, lispSaveStream$Char$Value, lispSaveStream$Double$Value, lispSaveStream$Float$Value, lispSaveStream$Integer$Value, lispSaveStream$Long$Value, lispSaveStream$LongLong$Value, lispSaveStream$Short$Value, lispSaveStream$Unsigned$Value, lispSaveStream$UnsignedLong$Value, lispSaveStream$UnsignedLongLong$Value, lispSaveStream$UnsignedShort$Value, updateArchiver`

Methods inherited from interface swarm.defobj.SerializationS
`hdf5In, lispIn`

Methods inherited from interface swarm.collections.Collection
`allSameClass, begin, beginPermuted, contains, copy, deleteAll, getCount, getReplaceOnly, remove, removeAll`

Methods inherited from interface swarm.collections.ForEachKey
`forEachKey, forEachKey, forEachKey, forEachKey`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.collections.Offsets
`atOffset, atOffset$put, getFirst, getLast`

Methods inherited from interface swarm.collections.ForEach
`describeForEach, describeForEachID, forEach, forEach, forEach, forEach`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### at$insert

    public boolean at$insert(java.lang.Object aKey,
                             java.lang.Object anObject)

  at:insert: inserts an entry into a Map containing the key and member values given as its arguments. It returns true if the key was not previously contained in the collection. An attempt to insert a duplicate key is simply rejected and false is returned.

### at$replace

    public java.lang.Object at$replace(java.lang.Object aKey,
                                       java.lang.Object anObject)

  Replaces an existing member value associated with a key value by a new value given as its final argument. The message returns the member value which was formerly associated with the key value.

### mapBegin

    public MapIndex mapBegin(Zone aZone)

  Returns a MapIndex, the special index for the Map type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD